#include <iostream>
using namespace std;
long double a[200000],p[200000];
int main(){
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    double N,max=0,trenut=0;
    cin>>N;
    for(int i=0;i<N;i++)cin>>a[i]>>p[i];
    for(int i=-1;i<N;i++){
    	trenut*=p[i]/100.00;	
    	if(trenut>=max){
		max=trenut;
	}
    	trenut=0;
    	for(int j=0;j<N;j++)if(p[i+1]<=p[j])trenut+=a[j];
    }
    cout<<max<<endl;
    
    return 0;
}